// Borland C++ Builder
// Copyright (c) 1995, 1998 by Borland International
// All rights reserved

// (DO NOT EDIT: machine generated header) 'QSRulers.pas' rev: 3.00

#ifndef QSRulersHPP
#define QSRulersHPP
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <Printers.hpp>
#include <Forms.hpp>
#include <Controls.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <Messages.hpp>
#include <Windows.hpp>
#include <SysUtils.hpp>
#include <SysInit.hpp>
#include <System.hpp>

//-- user supplied -----------------------------------------------------------

namespace Qsrulers
{
//-- type declarations -------------------------------------------------------
enum THRDivisionPlacement { dpTop, dpBottom, dpHMiddle };

enum TVRDivisionPlacement { dpLeft, dpRight, dpVMiddle };

enum TLabelFormat { lfFixed, lfScientific };

enum TLengthUnits { luActualInches, luActualMM, luCustom };

class DELPHICLASS TMyControl;
class PASCALIMPLEMENTATION TMyControl : public Controls::TControl 
{
	typedef Controls::TControl inherited;
	
public:
	/* TControl.Create */ __fastcall virtual TMyControl(Classes::TComponent* AOwner) : Controls::TControl(
		AOwner) { }
	/* TControl.Destroy */ __fastcall virtual ~TMyControl(void) { }
	
};

class DELPHICLASS THRuler;
class PASCALIMPLEMENTATION THRuler : public Controls::TGraphicControl 
{
	typedef Controls::TGraphicControl inherited;
	
private:
	Graphics::TCanvas* fCurrentCanvas;
	bool fLeftToRight;
	double fXMin;
	double fXMax;
	Byte fDecimals;
	int fpLeft;
	int fpTop;
	double fXDiv;
	bool fShowBorder;
	THRDivisionPlacement fDivisionPlacement;
	TLengthUnits fLengthUnits;
	Graphics::TColor fTicColor;
	bool fAutoColor;
	TPanelBevel fBevelInner;
	TPanelBevel fBevelOuter;
	int fBevelWidth;
	Graphics::TColor fBevelColor;
	bool fAutoDecimals;
	int fInchDivisions;
	TLabelFormat fLabelFormat;
	bool fAutoLabelFormat;
	void __fastcall SetXMin(double Value);
	void __fastcall SetXMax(double Value);
	void __fastcall SetXDiv(double Value);
	void __fastcall SetDecimals(Byte Value);
	void __fastcall SetLefttoRight(bool Value);
	System::AnsiString __fastcall DoubleToString(double d);
	void __fastcall SetBorderBoolean(bool value);
	void __fastcall SetDivisionPlacement(THRDivisionPlacement value);
	void __fastcall SetLengthUnits(TLengthUnits value);
	void __fastcall SetTicColor(Graphics::TColor value);
	void __fastcall SetAutoColor(bool value);
	void __fastcall SetBevelInner(Extctrls::TPanelBevel value);
	void __fastcall SetBevelOuter(Extctrls::TPanelBevel value);
	void __fastcall SetBevelWidth(int value);
	void __fastcall SetBevel(Extctrls::TPanelBevel bI, Extctrls::TPanelBevel bO, int bW);
	void __fastcall SetBevelColor(Graphics::TColor value);
	void __fastcall SetAutoDecimals(bool value);
	void __fastcall SetInchDivisions(int value);
	void __fastcall SetLabelFormat(TLabelFormat value);
	void __fastcall SetAutoLabelFormat(bool value);
	
protected:
	Graphics::TColor __fastcall HighLightColor(Graphics::TColor color);
	Graphics::TColor __fastcall ShadowColor(Graphics::TColor color);
	Graphics::TColor __fastcall ProperColor(Graphics::TColor color);
	int __fastcall SetProperDecimals(void);
	virtual void __fastcall Paint(void);
	
public:
	double PrintMagnification;
	__fastcall virtual THRuler(Classes::TComponent* AOwner);
	void __fastcall Print(double Left, double Top, bool StartPrint, bool EndPrint);
	
__published:
	__property Align ;
	__property Color ;
	__property Byte Decimals = {read=fDecimals, write=SetDecimals, default=0};
	__property Height ;
	__property double XMin = {read=fXMin, write=SetXMin};
	__property double XMax = {read=fXMax, write=SetXMax};
	__property double XDiv = {read=fXDiv, write=SetXDiv};
	__property bool LeftToRight = {read=fLeftToRight, write=SetLefttoRight, default=1};
	__property bool ShowBorder = {read=fShowBorder, write=SetBorderBoolean, default=1};
	__property THRDivisionPlacement DivisionPlacement = {read=fDivisionPlacement, write=SetDivisionPlacement
		, default=0};
	__property TLengthUnits LengthUnits = {read=fLengthUnits, write=SetLengthUnits, default=2};
	__property Width ;
	__property Visible ;
	__property Font ;
	__property ParentFont ;
	__property ParentColor ;
	__property Graphics::TColor TicColor = {read=fTicColor, write=SetTicColor, default=0};
	__property bool AutoColor = {read=fAutoColor, write=SetAutoColor, default=1};
	__property Extctrls::TPanelBevel BevelInner = {read=fBevelInner, write=SetBevelInner, nodefault};
	__property Extctrls::TPanelBevel BevelOuter = {read=fBevelOuter, write=SetBevelOuter, nodefault};
	__property int BevelWidth = {read=fBevelWidth, write=SetBevelWidth, nodefault};
	__property Graphics::TColor BevelColor = {read=fBevelColor, write=SetBevelColor, nodefault};
	__property bool AutoDecimals = {read=fAutoDecimals, write=SetAutoDecimals, nodefault};
	__property int InchDivisions = {read=fInchDivisions, write=SetInchDivisions, nodefault};
	__property TLabelFormat LabelFormat = {read=fLabelFormat, write=SetLabelFormat, nodefault};
	__property bool AutoLabelFormat = {read=fAutoLabelFormat, write=SetAutoLabelFormat, nodefault};
public:
		
	/* TGraphicControl.Destroy */ __fastcall virtual ~THRuler(void) { }
	
};

class DELPHICLASS TVRuler;
class PASCALIMPLEMENTATION TVRuler : public Controls::TGraphicControl 
{
	typedef Controls::TGraphicControl inherited;
	
private:
	double fYMin;
	double fYMax;
	Byte fDecimals;
	bool fBottomToTop;
	Graphics::TCanvas* fCurrentCanvas;
	int fpLeft;
	int fpTop;
	double fYDiv;
	bool fShowBorder;
	TVRDivisionPlacement fDivisionPlacement;
	TLengthUnits fLengthUnits;
	Graphics::TColor fTicColor;
	bool fAutoColor;
	TPanelBevel fBevelInner;
	TPanelBevel fBevelOuter;
	int fBevelWidth;
	Graphics::TColor fBevelColor;
	bool fAutoDecimals;
	int fInchDivisions;
	TLabelFormat fLabelFormat;
	bool fAutoLabelFormat;
	void __fastcall SetYMin(double Value);
	void __fastcall SetYMax(double Value);
	void __fastcall SetYDiv(double Value);
	void __fastcall SetDecimals(Byte Value);
	void __fastcall SetBottomToTop(bool Value);
	System::AnsiString __fastcall DoubleToString(double d);
	void __fastcall SetBorderBoolean(bool value);
	void __fastcall SetDivisionPlacement(TVRDivisionPlacement value);
	void __fastcall SetLengthUnits(TLengthUnits value);
	void __fastcall SetTicColor(Graphics::TColor value);
	void __fastcall SetAutoColor(bool value);
	void __fastcall SetBevelInner(Extctrls::TPanelBevel value);
	void __fastcall SetBevelOuter(Extctrls::TPanelBevel value);
	void __fastcall SetBevelWidth(int value);
	void __fastcall SetBevel(Extctrls::TPanelBevel bI, Extctrls::TPanelBevel bO, int bW);
	void __fastcall SetBevelColor(Graphics::TColor value);
	void __fastcall SetAutoDecimals(bool value);
	void __fastcall SetInchDivisions(int value);
	void __fastcall SetLabelFormat(TLabelFormat value);
	void __fastcall SetAutoLabelFormat(bool value);
	
protected:
	virtual void __fastcall Paint(void);
	Graphics::TColor __fastcall HighLightColor(Graphics::TColor color);
	Graphics::TColor __fastcall ShadowColor(Graphics::TColor color);
	Graphics::TColor __fastcall ProperColor(Graphics::TColor color);
	int __fastcall SetProperDecimals(void);
	
public:
	double PrintMagnification;
	__fastcall virtual TVRuler(Classes::TComponent* AOwner);
	void __fastcall Print(double Left, double Top, bool StartPrint, bool EndPrint);
	
__published:
	__property Align ;
	__property Color ;
	__property Byte Decimals = {read=fDecimals, write=SetDecimals, default=0};
	__property Height ;
	__property double YMin = {read=fYMin, write=SetYMin};
	__property double YMax = {read=fYMax, write=SetYMax};
	__property double YDiv = {read=fYDiv, write=SetYDiv};
	__property bool BottomToTop = {read=fBottomToTop, write=SetBottomToTop, default=1};
	__property bool ShowBorder = {read=fShowBorder, write=SetBorderBoolean, default=1};
	__property TVRDivisionPlacement DivisionPlacement = {read=fDivisionPlacement, write=SetDivisionPlacement
		, default=0};
	__property TLengthUnits LengthUnits = {read=fLengthUnits, write=SetLengthUnits, default=2};
	__property Width ;
	__property Visible ;
	__property Font ;
	__property ParentFont ;
	__property ParentColor ;
	__property Graphics::TColor TicColor = {read=fTicColor, write=SetTicColor, default=0};
	__property bool AutoColor = {read=fAutoColor, write=SetAutoColor, default=1};
	__property Extctrls::TPanelBevel BevelInner = {read=fBevelInner, write=SetBevelInner, nodefault};
	__property Extctrls::TPanelBevel BevelOuter = {read=fBevelOuter, write=SetBevelOuter, nodefault};
	__property int BevelWidth = {read=fBevelWidth, write=SetBevelWidth, nodefault};
	__property Graphics::TColor BevelColor = {read=fBevelColor, write=SetBevelColor, nodefault};
	__property bool AutoDecimals = {read=fAutoDecimals, write=SetAutoDecimals, nodefault};
	__property int InchDivisions = {read=fInchDivisions, write=SetInchDivisions, nodefault};
	__property TLabelFormat LabelFormat = {read=fLabelFormat, write=SetLabelFormat, nodefault};
	__property bool AutoLabelFormat = {read=fAutoLabelFormat, write=SetAutoLabelFormat, nodefault};
public:
		
	/* TGraphicControl.Destroy */ __fastcall virtual ~TVRuler(void) { }
	
};

//-- var, const, procedure ---------------------------------------------------
extern PACKAGE Byte Evaluation;

}	/* namespace Qsrulers */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Qsrulers;
#endif
//-- end unit ----------------------------------------------------------------
#endif	// QSRulers
